MongoCursor::explain
MongoCursor::getNext
MongoCursor
PHP Manual

# MongoCursor::fields

Sets the fields for a query

### Description

public MongoCursor MongoCursor::fields ( array `$f` )

Fields are specified by "fieldname" : bool. `TRUE` indicates that a field should be returned, `FALSE` indicates that it should not be returned. You can also use 1 and 0 instead of `TRUE` and `FALSE`.

Thus, to return only the "summary" field, one could say:

`<?php
$cursor->fields(array("summary" => true));
?>`

To return all fields except the "hidden" field:

`<?php
$cursor->fields(array("hidden" => false));
?>`

### Parameters

`f`

  Fields to return (or not return).

### Return Values

Returns this cursor.

### Errors/Exceptions

Throws MongoCursorException if this cursor has started iterating or a scalar argument is given.